#!/bin/sh
export INSTANCE_HOME=/var/zope

# Now that we have fixed syslog.syslog_client to handle RH 6.1's changes, we
# can use syslogd for logging.  Logging to a remote server using syslogd can
# be done by using ZSYSLOG_SERVER instead if ZYSLOG.  If you do not define
# either of the ZSYSLOG* env vars, logging goes to the file specified by
# the -l <file> command argument instead.

# Note: For syslog logging to work from the ZServer/medusa subsystem, the
# ZSYSLOG variable must now contain the name of the socket to log to,
# usually /dev/log on Unix machines.  JM 19991104.

export ZSYSLOG="/dev/log"
#export ZSYSLOG_SERVER="localhost:514"

#
# We disable the Medusa monitor port, for security reasons, since many
# people won't need it.
#
# -z /usr/share/zope    {specify directory of installed Zope software}
# -u zope               {run as user 'zope'}
# -Z zwatchdog.pid      {place to write ZServer's ZDaemon watchdog process ID}
# -w 8080               {port on which to listen for HTTP requests}
# -f 8021               {port on which to listen for FTP requests}
# -m ''                 {port on which to listen for Medusa monitor requests}
# -L 'locale'           {specify desired international locale}
# -l /var/log/zope      {specify logfile}
#

cd $INSTANCE_HOME
/usr/bin/env python z2.py               \
	-z      /usr/share/zope         \
	-u      zope                    \
	-Z      /var/run/zwatchdog.pid  \
	-w      8080                    \
	-f      8021                    \
	-m      ''                      \
	-l      /var/log/zope           \
	2>&1 >> /var/log/zope           \
	&


